// ******** TEST webserve ***********

#include "webserve.h"

using namespace std;

class TestEngine: public WebEngine {
public:
  virtual int answer(WebRequest &req) const {
    cerr<<"REQUEST: "<<req.url<<"\n";
    req.out<<
      "Content-type: text/html\n\n"
      "<html><body><h1>Titolo</h1>\n"
      "<p>Ciao, pagina richiesta: "<<req.url<<"</p>\n"
      "<p>Vai a <a href=\"pippo/\">pippo</a>, "
      "a <a href=\"pluto/\">pluto</a> "
      "o torna <a href=\"..\">indietro</a>. </html>\n";
  };
};

int main(int argc, char *argv[]) {
  int port=1111;
  if (argc==2)
    port=atoi(argv[1]);
  cerr<<"Starting test server on port "<<port<<"\n";
  try {
    WebServer server (port,TestEngine());
    server.start(); // non torna piu`...
  } catch (runtime_error e) {
    cerr<<"ERROR: "<<e.what()<<"\n";
    exit(1);
  }
  return 0;
};
